# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name vector-space

%global common_summary Vector & affine spaces, linear maps, and derivatives

%global common_description Classes and generic operations for vector spaces and affine spaces.\
It also defines a type of infinite towers of generalized derivatives.\
A generalized derivative is a linear transformation rather than one of\
the common concrete representations (scalars, vectors, matrices, ...).

Name:           ghc-%{pkg_name}
Version:        0.8.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-Boolean-devel
BuildRequires:  ghc-MemoTrie-devel
BuildRequires:  ghc-NumInstances-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files COPYING


%changelog
* Mon Aug 06 2012 Ben Boeckel <mathstuf@gmail.com> - 0.8.2-1
- Update to 0.8.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.7.6-4
- change prof BRs to devel

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.7.6-3
- add license to ghc_files

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.7.6-2
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.7.6-1.1
- rebuild with new gmp without compat lib

* Mon Oct  3 2011 Jens Petersen <petersen@redhat.com> - 0.7.6-1
- update to 0.7.6

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.7.3-2
- Update to cabal2spec-0.24

* Mon Jun 20 2011 Ben Boeckel <mathstuf@gmail.com> - 0.7.3-1
- Update to 0.7.3

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.7.2-1
- Update to 0.7.2

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.9-1
- Initial package

* Fri Sep  3 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.9-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
